.rejtettLink{
	display: none;
}
.inputAlattiHibaSzoveg{
	color: red;
	margin-left: 10px;
	text-align: left;
}
.kikapcsolt {
    pointer-events: none;
    color: #d9d9d9;
}
.rejtett{
	display: none !important;
}

a{
	text-decoration: none !important;
	outline: none !important;
	color: inherit !important;
}
a:hover{
	outline: none;
}

/* Felül megjelenő siker-és hibaüzenetek */
.felsoFelugroSikerUzenet{
	width: 80%;
	position: absolute;
	background: #80ff80;
	z-index: 120;
	margin: 40px 10%;
	text-align: center;
	padding: 10px 50px;
	border: 3px solid #00995c;
	color: green;
	opacity: 0;
}
.felsoFelugroSikerUzenetCim{
	font-weight: bold;
}

.felsoFelugroSikerUzenetCim, .felsoFelugroSikerUzenetLeiras{
	text-align: center;
}

/* A KIS HIBA�ZENET, ILLETVE SIKER�ZENET ST�LUSAI*/
.kisHibaFelkialtojelTarto{
	max-width: 50px;
	position: relative;
	display: inline-block;
	float: left;
	box-sizing: content-box;
	padding: 10px 5px;
}
.kisHibaSzovegTarto{
	min-width: 200px;
	max-width: 90%;
	text-align: left;
	float: left;
	display: inline-block;
	box-sizing: border-box;
}
.kisHibaFelkialtojel{
	color: red;
	font-size: 50px;
}
.kisHibaCim{
	color: #e60000;
	font-weight: 700;
	font-size: 20px;
	line-height: 1.2;
}
.kisHibaLeiras{
	color: red;
	font-size: 16px;
	line-height: 1.2;
	margin: 3px 0px;
	
}
.kisHibaNyersKod{
	color: #b30000;
	font-size: 14px;
	line-height: 1.2;
	font-style: italic;
}
.kisHibaRacs{
	min-height: 70px;
	position: relative;
}
button:focus{
	outline: none;
}
a{
	text-decoration: none !important;
	outline: none !important;
}
/*HIBA-�S SIKER�ZENET ST�LUSAINAK V�GE*/

/*FOOTER*/
.alsosav{
	display: grid;
	grid-template-columns: 50% 50%;
	grid-template-rows: auto;
	background-color: black;
	color: white;
	text-align: center;
	width: 95%;
	margin: auto;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	padding: 15px 15px;
	max-width: 1300px;
}
.footerKattinthato:hover{
	color: orange !important;
	cursor: pointer;
}
.footerKattinthato:active{
	color: #cc8500 !important;
}
.alsoszoveg{
	text-align: center;
}

/*ÚJFAJTA FOOTER*/
.diglioAlsoSav{
	background-color: black;
	color: white;
	text-align: center;
	width: 95%;
	margin: auto;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	padding: 15px 15px;
	max-width: 1300px;
}
.diglioFooterAlsoSzoveg {
    padding: 2px 20px;
    color: white;
}
.diglioFooterFelsoSzoveg{
	font-weight: 600;
	color: white;
}
footer div{
	text-align: center !important;
}

.stilusosFeltoltesGomb, .feltoltesGombStilus{
	position: relative;
	border: 2px solid #734d26;
	padding: 5px;
	width: 100%;
	border-radius: 5px;
	font-weight: bold;
	background: #d9b38c;
	transition: 0.5s;
	cursor: pointer;
	user-select: none;
	text-align: center;
}
.stilusosFeltoltesGomb:hover, .feltoltesGombStilus:hover{
	background: #cc9966;
}


@media only screen and (max-width: 1200px) {
	.diglioAlsoSav{
		width: 100%;
		border-bottom-left-radius: 0px;
		border-bottom-right-radius: 0px;
	}
	
		
	
	
}

/*FOOTER V�GE*/

/*FELUGR� ABLAKOK �LTAL�NOS (K�K) ST�LUSA*/
/*FELUGRÓ ABLAK CSS*/
.alapFelugroAblak{
	position: fixed;
	height: 50px;
	opacity: 0;
	width: 500px;
	margin: auto;
	z-index: 150;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	padding: 10px;
	max-height: 90%;
	overflow: auto;
}
.alapFelugroHatter{
	background: black;
	opacity: 0;
	position: fixed;
	width: 100%;
	height: 100%;
	z-index: 149;
	top: 0px;
}
.alapFelugroCim{
	font-weight: bold;
	font-size: 20px;
	text-align: center;
	margin: auto;
	padding: 0px 35px;
}
.alapFelugroLeiras{
	font-style: italic;
	margin-bottom: 8px;
}
.alapFelugroNev{
	border: 1px solid #009900;
	border-bottom-left-radius: 5px;
	border-top-left-radius: 5px;
	width: 60%;
	height: 40px;
	transition: 0.5s;
	padding: 8.5px 5px;
	background: white;
	margin: 2px 0px;
	display: inline-block;
	z-index: 10;
}
.alapFelugroKereses{
	position: relative;
	width: 40%;
	border: 1px solid #009900;
	border-bottom-right-radius: 5px;
	border-top-right-radius: 5px;
	height: 40px;
	padding: 0px;
	font-weight: 600;
	border-left: none;
	transition: 0.5s;
	background: #f2f2f2;
	z-index:9;
}
.felugroOldalsoAblakCim{
	text-align: center;
	font-size: 1.1rem;
	font-weight: bold;
	margin-bottom: 5px;
}
.alapFelugroCheckbox{
	background: inherit;
}
.alapBackendotolKapottFelugroAblakTarto{
	height: 100%;
}
/* width */
.zoldGorgethetoLista::-webkit-scrollbar, .felugroAblak.zoldHatter::-webkit-scrollbar {
  width: 12px;
}

/* Track */
.zoldGorgethetoLista::-webkit-scrollbar-track, .felugroAblak.zoldHatter::-webkit-scrollbar-trac {
}
 
/* Handle */
.zoldGorgethetoLista::-webkit-scrollbar-thumb, .felugroAblak.zoldHatter::-webkit-scrollbar-thumb {
  	background: #00e600; 
	border-radius: 10px;
}

/* Handle on hover */
.zoldGorgethetoLista::-webkit-scrollbar-thumb:hover, .felugroAblak.zoldHatter::-webkit-scrollbar-thumb:hover {
  background: #00b300; 
}

.zoldGorgethetoLista::-webkit-scrollbar-thumb:active, .felugroAblak.zoldHatter::-webkit-scrollbar-thumb:active {
  background: #008000; 
}
.felugroInputHeader{
	font-weight: bold;
	font-size: 12px;
}
.felugroInputSzovegMezo{
	border: 1px solid #009900;
	border-radius: 5px;
	width: 100%;
	outline: none;
	height: 40px;
	transition: 0.5s;
	padding: 0px 5px;
	margin-bottom: 8px;
}
.zoldHatter .felugroInputSzovegMezo{
	border-color: #009900;
}
.zoldHatter .felugroInputSzovegMezo:hover{
	background: rgb(225, 255, 225);
}
.zoldHatter .felugroInputSzovegMezo:focus{
	background: rgb(202, 255, 202);
}
.felugroInputSzovegMezo:active{
	border-width: 1px !important;
}

.felugroAblakHibaUzenet{
	border-radius: 3px;
	border: 2px solid red;
	color: red;
	background: #ffdccc;
	padding: 5px;
	margin: 8px auto 10px auto;
	display: inline-block;
	position: relative;
	left: 50%;
	transform: translate(-50%, -0%);
	visibility: hidden;
	opacity: 0;
	cursor: pointer;
	text-align: center;
}
.informacioUzenetTarto{
	color: #664b00;
	border-color: #997300;
	background: #ffff99;
}
.sikerUzenetTarto{
	border-color: rgb(0, 153, 0);
	background: rgb(128, 255, 128);
	color: rgb(0, 102, 0);
}
.hibaUzenetTarto{
	color: #b30000;
	background: #ff9999;
    border-color: #b30000;
}


/*Az esetek nagy r�sz�ben haszn�lt textarea st�lus:*/
.kihivasTextarea {
	margin: 0% 1%;
    border: 1px solid gray;
    border-radius: 5px;
	overflow: hidden;
    padding: 10px 35px 10px 10px;
    outline: none;
    background-color: white;
    resize: none;
    width: 98%;
	box-sizing: border-box;
}
.kihivasTextarea:focus{
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
	border: 1px solid #3399ff;
}

.alapDiglioTextarea{
    overflow: hidden;
    padding: 5px;
    outline: none;
    background-color: white;
    resize: none;
    width: 100%;
    box-sizing: border-box;
    border: 2px solid #77AD5A;
    background: #f1fbd0;
    color: #77AD5A;
    transition: 0.5s;
}


.hatter{
	width: 95%;
	padding: 10px 25px;
	text-align: center;
	margin: auto;
	z-index: 0;
	max-width: 1300px;
}
.alapGomb{
	height: 40px;
	font-weight: 600 !important;
	border-style: solid;
	border-width: 2px;
	padding: 0px 20px;
	border-radius: 5px;
	margin: 10px;
	transition: 0.5s;
	background: #f2f2f2;
	user-select: none;
}
div.alapGomb, span.alapGomb{
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;
}
a.alapGomb{
	color: black !important;
	display: inline-block;
}


/*Kinézetben a kihításTextarea-val megegyezik, de az újabb oldalak ezt használják*/
.nagySzovegHely{
    border: 1px solid gray;
    border-radius: 5px;
    overflow: hidden;
    padding: 10px 40px 10px 10px;
    outline: none;
    background-color: white;
    resize: none;
    width: 98%;
    margin-right: 1%;
    margin-left: 1%;
    box-sizing: border-box;
	color: blue;
}
.nagySzovegHely:focus {
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    border: 1px solid #3399ff;
}
.egysorosSzovegHely{
    margin: 0px 1% 5px 1%;
    padding: 0px 5px;
    color: blue;
    border: none;
    position: relative;
    border-bottom: 2px solid #99bbff;
    outline: none;
}
.egysorosSzovegHely:focus {
    border-bottom: 2px solid #3366ff;
}

/*Szaggatott vonal elkerülése akkor, ha valaki a gombokra kattint*/
.alapFelugroKereses:focus, .alapFelugroTovabb:focus, .alapFelugroMegse:focus, .alapFelugroLathatoFeltoltesGomb:focus, .alapFelugroKilepes:focus, .alapFelugroCsoportTorles:focus, .alapFelugroMegerosites:focus, .alapFelugroVisszavonas:focus{
	outline: none;
}
.alapFelugroHibaUzenet{
	border-radius: 3px;
	border: 2px solid red;
	color: red;
	background: #ffdccc;
	padding: 5px;
	margin: 8px auto 10px auto;
	display: inline-block;
	position: relative;
	left: 50%;
	transform: translate(-50%, -0%);
	visibility: hidden;
	opacity: 0;
	cursor: pointer;
	text-align: center;
}
.alapFelugroHibaBezaroGomb{
	font-weight: bold;
	position: absolute;
	top: 0px;
	right: 0px;
	color: black;
	line-height: 1;
}
.alapFelugroAlsoGombTarto{
	margin-top: 10px;
	height: 40px;
}
.alapFelugroAlsoGombTarto, .extraFunkcioTarto{
	width: 100%;
}
.alapFelugroTovabb, .alapFelugroMegse, .alapFelugroMegerosites, .alapFelugroVisszavonas{
	width: 40%;
	height: 40px;
	font-weight: 600;
	border: 2px solid #009900;
	padding: 0px;
	border-radius: 5px;
	margin: 0% 5%;
	transition: 0.5s;
	background: #f2f2f2;
}
.alapFelugroMegerosites, .alapFelugroVisszavonas{
	height: 50px;
	line-height: 1.3;
}



.megerositoFelugroAblak{
	z-index: 155;
}
.megerositoFelugroAblakHatter{
	z-index: 154;
}





/* Alap�rtelmezett z�ld gomb */
.alapZoldGomb, .zoldGombTarto .alapGomb{
	height: 40px;
	font-weight: 600;
	border: 2px solid #009900;
	padding: 5px;
	border-radius: 5px;
	transition: 0.5s;
	background: #f2f2f2;
}
.zoldGomb{
	border-color: #009900;
}
.alapZoldGomb:hover, .zoldGombTarto .alapGomb:hover, .zoldGomb:hover{
	background: #80ff80;
}
.alapZoldGomb:active, .zoldGombTarto .alapGomb:active, .zoldGomb:active{
	background: #00e600;
}
.zoldHatter{
	background: #b3ffb3;
}
.zoldEventek:hover, .felugroAblakFelsoSarkosBezaro:hover {
    background: #80ff80;
}
.zoldEventek:active, .felugroAblakFelsoSarkosBezaro:active {
    background: #00e600;
}
.zoldInput{
	border: 2px solid green;
	background: #ccffcc;
	color: green;
}
.zoldInput:hover{
	background: #99ff99;
}
.zoldInput:focus{
	background: #66ff66;
}


body{
	transition: 0.5s;
}

/*K�plista*/
.kepListasKep{
	height: 100%;
	z-index: 3;
	opacity: 1;
	position: relative;
	transition: 0.5s;
	cursor: pointer;
}
.kepListasKep:hover{
	opacity: 0.8;
}
.kepListasKep:active{
	opacity: 0.6;
}
.kepFeketeHatter{
	position: absolute;
	height: 100%;
	background: black;
	width: 100%;
	z-index: 1;
}
.kivalasztottIkonTarto{
	position: absolute;
	height: 100%;
	width: 100%;
	z-index: 2;
	display: none;
}
.kivalasztottKepPipa{
	font-size: 70px;
	color: yellow;
	
}
.kivalasztottPipaTarto{
	text-align: center;
	margin-top: 10px;
}
.kivalasztottKepSzoveg{
	font-weight: 600;
	color: yellow;
	font-size: 20px;
	text-align: center;
}
.kepListasKepTarto{
	height: 120px;
	width: auto;
	display: inline-block;
	margin: 5px;
	border-radius: 5px;
	overflow: hidden;
	position: relative;
}
.kepListaTarto {
    margin: auto;
    text-align: center;
    height: 90%;
	position: relative;
	overflow: auto;
}

.kepListaTartoTarto{
	height: 75%;
}
/* width */
.kepListaTarto::-webkit-scrollbar {
  width: 12px;
}

/* Track */
.kepListaTarto::-webkit-scrollbar-track {
}
 
/* Handle */
.kepListaTarto::-webkit-scrollbar-thumb {
  	background: #990099; 
	border-radius: 10px;
}

/* Handle on hover */
.kepListaTarto::-webkit-scrollbar-thumb:hover {
  background: #660066; 
}

.kepListaTarto::-webkit-scrollbar-thumb:active {
  background: #330033; 
}

.felugroAblakFelsoSarkosBezaro, .felugroOldalsoAblakFelsoSarkosBezaro{
	height: 40px;
	width: 40px;
	top: 0px;
	position: absolute;
	right: 0px;
	border-bottom-left-radius: 8px;
	border-left: 2px solid green;
	border-bottom: 2px solid green;
	background: #f2f2f2;
	transition: 0.5s;
	font-size: 30px;
	line-height: 1;
	padding: 3px 7px;
	cursor: pointer;
}
body>.felugroAblakFelsoSarkosBezaro {
	z-index: 155 !important;
	pointer-events: auto;
	position: fixed;
}

.lilaGomb, .lilaGombTarto .alapGomb{
	border-color: #8600b3 !important;
}
.lilaGomb:hover, .lilaGombTarto .alapGomb:hover{
	background: #d699ff;
}
.lilaGomb:active, .lilaGombTarto .alapGomb:active{
	background: #c266ff;
}
.lilaHatter{
	background: #e6b3e6;
}
.lilaFelugroOldalsoAblak{
	background: #d98cd9;
	border-color: #8600b3;
}

.lilaInput{
	border-color: #8600b3;
	background: #f1daf1;
	color: #8600b3;
}
.lilaInput:hover{
	background: #eac8ea;
}
.lilaInput:focus{
	background: #e3b5e3
}

.barnaGomb, .barnaGombTarto .alapGomb{
	border: 2px solid #ac7339;
}
.barnaGomb:hover, .barnaGombTarto .alapGomb:hover{
	background: #e4cbb4;
}
.barnaGomb:active, .barnaGombTarto .alapGomb:active{
	background: #cfa47d;
}
.barnaHatter{
	background: #ebd9c6;
}
.barnaInput{
	border: 2px solid #ac7339;
	background: #ebd9c6;
	color: #704b29;
}
.barnaKeret{
	border-color: #ac7339;
}

.kekGomb, .kekGombTarto .alapGomb{
	border-color: blue;
}
.kekGomb:hover, .kekGombTarto .alapGomb:hover{
	background: #80b3ff;
}
.kekGomb:active, .kekGombTarto .alapGomb:active{
	background: #3385ff;
}
.kekAblak, .kekHatter{
	background: #b3c6ff;
}

.kekInput{
	border-color: blue !important;
}
.kekInput:focus{
	background: #80b3ff !important;
}

/* Checkbox */
/*Checkbox*/

.feleletvalasztoValaszTarto{
	position: relative;
	display: block;
	padding-left: 35px;
	cursor: pointer;
	font-size: 15px;
	color: black;
}
.feleletvalasztoValaszTarto:hover{
	color: #4d4d4d;
}
/*Checkbox*/
.feleletvalasztoValaszTarto .kihivasCheckbox {
	position: absolute;
	opacity: 0;
	cursor: pointer;
	height: 0;
	width: 0;
}
.lathatoCheckbox{
	position: absolute;
	top: 8px;
	left: 10px;
	height: 18px;
	width: 18px;
	background: #cce6ff;
	border: 1px solid #595959;
}
.koralak{
	border-radius: 100%;
}
/* On mouse-over, add a grey background color */
.feleletvalasztoValaszTarto:hover .kihivasCheckbox ~ .lathatoCheckbox {
	background-color: #99ceff;
}

/* When the checkbox is checked, add a blue background */
.feleletvalasztoValaszTarto .kihivasCheckbox:checked ~ .lathatoCheckbox {
	background-color: #99ceff;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);

}

.kihivasCheckbox:checked ~ label {
	color: red !important;
	background: green !important;
}

/* Create the checkmark/indicator (hidden when not checked) */
.lathatoCheckbox:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.feleletvalasztoValaszTarto .kihivasCheckbox:checked ~ .lathatoCheckbox:after {
  display: block;
}

/* Style the checkmark/indicator */
.feleletvalasztoValaszTarto .lathatoCheckbox:after {
  left: 7px;
  top: -8px;
  width: 8px;
  height: 22px;
  border: solid blue;
  border-width: 0 3px 3px 0;
  transform: rotate(35deg);
}

/* PROGRESS BAR */
.progressBarPozicionalo{
	margin-top: 2px;
	right: 0px;
	width: 80%;
	margin: auto;
}
.progressBarTarto{
	width: 100%;
	border: 2px solid purple;
	height: 20px;
	z-index: 2;
	overflow: hidden;
	background: purple;
	border-radius: 5px;
}
.progressBarCsik{
	background: yellow;
	width: 40%;
	height: 100%;
	position:relative;
	z-index: 1;
	border-radius: 20px;
}
.nagyProgressBarPozicionalo{
	width: 100%;
	text-align: center;
	position: relative;
	margin-top: 10px;
	background:#bf40bf;
	border-radius: 5px;
	padding: 5px;
	text-align: center;
}
.nagyProgressBarPozicionalo .progressBarTarto{
	margin: auto;
	display: inline-block;
}
.progressBarSzoveg{
	display: inline-block;
	top: -5px;
	position: relative;
	margin-right: 10px;
	color: yellow;
	font-weight: 600;
	text-align: center;
}
.kepBekezdes{
	position: relative;
}
.ajanloFeketeHatter{
	background: black;
	width: 100%;
	height: 100%;
	position: absolute;
	opacity: 1;
	z-index: 5;
	transition: 0.5s;
}
.kepBekezdesKep{
	width: 100%;
	cursor: pointer;
	z-index: 10;
	position: relative;
	transition: 0.5s;
	box-sizing: border-box;
}
.megnyithatoKep:hover{
	opacity: 0.8;
}
.megnyithatoKep:active{
	opacity: 0.6;
}